## ros-galactic-ros1-bridge 0.10.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ros1_bridge)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra)
endif()

find_package(rmw REQUIRED)

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rmw_implementation_cmake REQUIRED)
find_package(std_msgs REQUIRED)

# find ROS 1 packages
set(cmake_extras_files cmake/find_ros1_package.cmake cmake/find_ros1_interface_packages.cmake)
include(cmake/find_ros1_package.cmake)

find_package(PkgConfig)
if(NOT PKG_CONFIG_FOUND)
  message(WARNING "Failed to find PkgConfig, skipping...")
  # call ament_package() to avoid ament_tools treating this as a plain CMake pkg
  ament_package()
  return()
endif()

find_ros1_package(roscpp)
if(NOT ros1_roscpp_FOUND)
  message(WARNING "Failed to find ROS 1 roscpp, skipping...")
  # call ament_package() to avoid ament_tools treating this as a plain CMake pkg
  ament_package(
    CONFIG_EXTRAS ${cmake_extras_files}
  )
  return()
endif()

find_ros1_package(std_msgs REQUIRED)

# find ROS 1 packages with messages / services
include(cmake/find_ros1_interface_packages.cmake)
find_ros1_interface_packages(ros1_message_packages)

set(prefixed_ros1_message_packages "")
foreach(ros1_message_package ${ros1_message_packages})
  # TODO(karsten1987): This is currently a workaround to work with ROS 2 classloader
  # rather than ROS 1 classloader.
  if(NOT "${ros1_message_package}" STREQUAL "nodelet")
    find_ros1_package(${ros1_message_package} REQUIRED)
    list(APPEND prefixed_ros1_message_packages "ros1_${ros1_message_package}")
  endif()
endforeach()

set(TEST_ROS1_BRIDGE FALSE)
if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  find_package(diagnostic_msgs REQUIRED)
  find_ros1_package(diagnostic_msgs)
  find_ros1_package(roslaunch)
  ament_lint_auto_find_test_dependencies()
  if(ros1_diagnostic_msgs_FOUND AND ros1_roslaunch_FOUND)
    # ensure that the ROS 2 diagnostic_msgs was found by find_package
    # and not the ROS 1 package
    set(_ros1_diagnostic_msgs_DIR "${ros1_diagnostic_msgs_PREFIX}/share/diagnostic_msgs/cmake")
    if("${diagnostic_msgs_DIR}" STREQUAL "${_ros1_diagnostic_msgs_DIR}")
      # invalidate the cached result to retry finding the package next time
      unset(diagnostic_msgs_DIR CACHE)
      message(FATAL_ERROR "Failed to find ROS 2 package 'diagnostic_msgs'")
    endif()
    set(TEST_ROS1_BRIDGE TRUE)
  endif()
endif()

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})

ament_python_install_package(${PROJECT_NAME})

ament_package(
  CONFIG_EXTRAS ${cmake_extras_files}
)

set(generated_path "${CMAKE_BINARY_DIR}/generated")
set(generated_files "${generated_path}/get_factory.cpp")
list(APPEND generated_files "${generated_path}/get_mappings.cpp")

# generate per interface compilation units to keep the memory usage low
ament_index_get_resources(ros2_interface_packages "rosidl_interfaces")
# actionlib_msgs is deprecated, but we will quiet the warning until the bridge has support for
# ROS actions: https://github.com/ros2/design/issues/195
set(actionlib_msgs_DEPRECATED_QUIET TRUE)
foreach(package_name ${ros2_interface_packages})
  find_package(${package_name} QUIET REQUIRED)
  message(STATUS "Found ${package_name}: ${${package_name}_VERSION} (${${package_name}_DIR})")
  if(NOT "${package_name}" STREQUAL "builtin_interfaces")
    list(APPEND generated_files "${generated_path}/${package_name}_factories.cpp")
    list(APPEND generated_files "${generated_path}/${package_name}_factories.hpp")
    foreach(interface_file ${${package_name}_IDL_FILES})
      file(TO_CMAKE_PATH "${interface_file}" interface_name)
      get_filename_component(interface_basename "${interface_name}" NAME_WE)
      # skipping actions and request and response messages of services
      if(NOT "${interface_name}" MATCHES "^(msg|srv)/" OR "${interface_basename}" MATCHES "_(Request|Response)$")
        continue()
      endif()
      string(REPLACE "/" "__" interface_name "${interface_name}")
      get_filename_component(interface_name "${interface_name}" NAME_WE)
      list(APPEND generated_files "${generated_path}/${package_name}__${interface_name}__factories.cpp")
    endforeach()
  endif()
endforeach()

set(target_dependencies
  "bin/ros1_bridge_generate_factories"
  "resource/get_factory.cpp.em"
  "resource/get_mappings.cpp.em"
  "resource/interface_factories.cpp.em"
  "resource/pkg_factories.cpp.em"
  "resource/pkg_factories.hpp.em"
  "ros1_bridge/__init__.py")

add_custom_command(
  OUTPUT ${generated_files}
  COMMAND ${PYTHON_EXECUTABLE} bin/ros1_bridge_generate_factories
    --output-path "${generated_path}" --template-dir resource
  DEPENDS ${target_dependencies}
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  COMMENT "Generating factories for interface types")

if(NOT WIN32)
  # ignore warning in ROS 1 message headers
  set_source_files_properties(${generated_files}
    PROPERTIES COMPILE_FLAGS "-Wno-unused-parameter")
endif()

include_directories(include ${generated_path})

function(custom_executable target)
  cmake_parse_arguments(
    ARG "ROS1_DEPENDENCIES" "" "TARGET_DEPENDENCIES" ${ARGN})

  add_executable(${target}
    ${ARG_UNPARSED_ARGUMENTS})
  ament_target_dependencies(${target}
    "rclcpp"
    ${ARG_TARGET_DEPENDENCIES})
  if(ARG_ROS1_DEPENDENCIES)
    ament_target_dependencies(${target}
      "ros1_roscpp"
      "ros1_std_msgs")
  endif()
  if(ARG_DEPENDENCIES)
    add_dependencies(${target} ${ARG_DEPENDENCIES})
  endif()

  install(TARGETS ${target}
  DESTINATION lib/${PROJECT_NAME})
endfunction()

custom_executable(simple_bridge_1_to_2 "src/simple_bridge_1_to_2.cpp"
  ROS1_DEPENDENCIES
  TARGET_DEPENDENCIES "std_msgs")
custom_executable(simple_bridge_2_to_1 "src/simple_bridge_2_to_1.cpp"
  ROS1_DEPENDENCIES
  TARGET_DEPENDENCIES "std_msgs")

custom_executable(simple_bridge "src/simple_bridge.cpp"
  ROS1_DEPENDENCIES
  TARGET_DEPENDENCIES "std_msgs")

add_library(${PROJECT_NAME} SHARED
  "src/builtin_interfaces_factories.cpp"
  "src/convert_builtin_interfaces.cpp"
  "src/bridge.cpp"
  ${generated_files})
ament_target_dependencies(${PROJECT_NAME}
  ${prefixed_ros1_message_packages}
  ${ros2_interface_packages}
  "rclcpp"
  "ros1_roscpp"
  "ros1_std_msgs")

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

custom_executable(static_bridge
  "src/static_bridge.cpp"
  ROS1_DEPENDENCIES
  TARGET_DEPENDENCIES ${ros2_interface_packages})
target_link_libraries(static_bridge
  ${PROJECT_NAME})

custom_executable(parameter_bridge
  "src/parameter_bridge.cpp"
  ROS1_DEPENDENCIES
  TARGET_DEPENDENCIES ${message_packages})
target_link_libraries(parameter_bridge
  ${PROJECT_NAME})

custom_executable(dynamic_bridge
  "src/dynamic_bridge.cpp"
  ROS1_DEPENDENCIES
  TARGET_DEPENDENCIES ${ros2_interface_packages})
target_link_libraries(dynamic_bridge
  ${PROJECT_NAME})

if(TEST_ROS1_BRIDGE)
  custom_executable(test_ros2_client_cpp "test/test_ros2_client.cpp")
  ament_target_dependencies("test_ros2_client_cpp${target_suffix}" "ros1_roscpp" "diagnostic_msgs")
  custom_executable(test_ros2_server_cpp "test/test_ros2_server.cpp")
  ament_target_dependencies("test_ros2_server_cpp${target_suffix}" "ros1_roscpp" "diagnostic_msgs")

  set(TEST_BRIDGE_DYNAMIC_BRIDGE "$<TARGET_FILE:dynamic_bridge>")
  set(TEST_BRIDGE_ROS2_CLIENT "$<TARGET_FILE:test_ros2_client_cpp>")
  set(TEST_BRIDGE_ROS2_SERVER "$<TARGET_FILE:test_ros2_server_cpp>")
endif()

macro(targets)
  set(TEST_BRIDGE_RMW ${rmw_implementation})

  configure_file(
    test/test_topics_across_dynamic_bridge.py.in
    test_topics_across_dynamic_bridge${target_suffix}.py.genexp
    @ONLY
  )
  file(GENERATE
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/test_topics_across_dynamic_bridge${target_suffix}_$<CONFIG>.py"
    INPUT "${CMAKE_CURRENT_BINARY_DIR}/test_topics_across_dynamic_bridge${target_suffix}.py.genexp"
  )
  add_launch_test(
    "${CMAKE_CURRENT_BINARY_DIR}/test_topics_across_dynamic_bridge${target_suffix}_$<CONFIG>.py"
    TARGET test_topics_across_dynamic_bridge${target_suffix}
    ENV RMW_IMPLEMENTATION=${rmw_implementation}
    TIMEOUT 60)

  configure_file(
    test/test_services_across_dynamic_bridge.py.in
    test_services_across_dynamic_bridge${target_suffix}.py.genexp
    @ONLY
  )
  file(GENERATE
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/test_services_across_dynamic_bridge${target_suffix}_$<CONFIG>.py"
    INPUT "${CMAKE_CURRENT_BINARY_DIR}/test_services_across_dynamic_bridge${target_suffix}.py.genexp"
  )
  add_launch_test(
    "${CMAKE_CURRENT_BINARY_DIR}/test_services_across_dynamic_bridge${target_suffix}_$<CONFIG>.py"
    TARGET test_services_across_dynamic_bridge${target_suffix}
    ENV RMW_IMPLEMENTATION=${rmw_implementation}
    TIMEOUT 60)
endmacro()

if(TEST_ROS1_BRIDGE)
  find_package(launch_testing_ament_cmake REQUIRED)

  add_executable(test_ros1_client "test/test_ros1_client.cpp")
  ament_target_dependencies(test_ros1_client "ros1_diagnostic_msgs" "ros1_roscpp")
  add_executable(test_ros1_server "test/test_ros1_server.cpp")
  ament_target_dependencies(test_ros1_server "ros1_diagnostic_msgs" "ros1_roscpp")
  set(TEST_BRIDGE_ROS1_ENV "${ros1_roslaunch_PREFIX}/env.sh")
  set(TEST_BRIDGE_ROSCORE "${ros1_roslaunch_PREFIX}/bin/roscore")
  set(TEST_BRIDGE_ROS1_CLIENT "$<TARGET_FILE:test_ros1_client>")
  set(TEST_BRIDGE_ROS1_SERVER "$<TARGET_FILE:test_ros1_server>")

  call_for_each_rmw_implementation(targets)
endif()

install(
  PROGRAMS bin/ros1_bridge_generate_factories
  DESTINATION lib/${PROJECT_NAME}/generate_factories
)
install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)
install(
  DIRECTORY include/
  DESTINATION include
)
install(
  DIRECTORY resource
  DESTINATION share/${PROJECT_NAME}
)

=== debian/changelog ===
ros-galactic-ros1-bridge (0.10.1-2focal) focal; urgency=high

  * Fix logging for updated rclcpp interface (#303 <https://github.com/ros2/ros1_bridge/issues/303>)
  * Fix typo in comments (#297 <https://github.com/ros2/ros1_bridge/issues/297>)
  * Contributors: Michael Carroll, Vicidel

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-galactic-ros1-bridge (0.9.5-2focal) focal; urgency=high

  * Update to use rosidl_parser and .idl files rather than rosidl_adapter and .msg files (#296 <https://github.com/ros2/ros1_bridge/issues/296>)
  * Update maintainers (#286 <https://github.com/ros2/ros1_bridge/issues/286>)
  * Contributors: Jacob Perron, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-galactic-ros1-bridge (0.9.4-2focal) focal; urgency=high

  * use hardcoded QoS (keep all, transient local) for /tf_static topic in dynamic_bridge (#282 <https://github.com/ros2/ros1_bridge/issues/282>)
  * document explicitly passing the topic type to 'ros2 topic echo' (#279 <https://github.com/ros2/ros1_bridge/issues/279>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Sep 2020 07:00:00 -0000

ros-galactic-ros1-bridge (0.9.3-2focal) focal; urgency=high

  * Fix multiple definition if message with same name as service exists (#272 <https://github.com/ros2/ros1_bridge/issues/272>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Jul 2020 07:00:00 -0000

ros-galactic-ros1-bridge (0.9.2-2focal) focal; urgency=high

  * When generating service mappings cast pair to set to avoid duplicate pairs (#268 <https://github.com/ros2/ros1_bridge/issues/268>)
  * Contributors: Gavin Suddrey

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-galactic-ros1-bridge (0.9.1-2focal) focal; urgency=high

  * Deprecate package key for service parameters, use full type instead (#263 <https://github.com/ros2/ros1_bridge/issues/263>)
  * Fix removing obsolete ROS 2 service bridges (#267 <https://github.com/ros2/ros1_bridge/issues/267>)
  * Gracefully handle invalid ROS 1 publishers (#266 <https://github.com/ros2/ros1_bridge/issues/266>)
  * Use reliable publisher in simple bridge (#264 <https://github.com/ros2/ros1_bridge/issues/264>)
  * Remove outdated information on Fast RTPS bug (#260 <https://github.com/ros2/ros1_bridge/issues/260>)
  * Contributors: Dirk Thomas, Thom747

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 27 May 2020 07:00:00 -0000

ros-galactic-ros1-bridge (0.9.0-2focal) focal; urgency=high

  * Avoid new deprecations (#255 <https://github.com/ros2/ros1_bridge/issues/255>)
  * Updates since changes to message_info in rclcpp (#253 <https://github.com/ros2/ros1_bridge/issues/253>)
  * Assert ROS 1 nodes' stdout (#247 <https://github.com/ros2/ros1_bridge/issues/247>)
  * Ignore actionlib_msgs deprecation warning (#245 <https://github.com/ros2/ros1_bridge/issues/245>)
  * Drop workaround for https://github.com/ros2/rmw_fastrtps/issues/265. (#233 <https://github.com/ros2/ros1_bridge/issues/233>)
  * Code style only: wrap after open parenthesis if not in one line (#238 <https://github.com/ros2/ros1_bridge/issues/238>)
  * Contributors: Dirk Thomas, Jacob Perron, Michel Hidalgo, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 May 2020 07:00:00 -0000

ros-galactic-ros1-bridge (0.8.2-2focal) focal; urgency=high

  * fix building test when ROS 1 diagnostic_msgs is isolated from roscpp (#236 <https://github.com/ros2/ros1_bridge/issues/236>)
  * fix service with custom mapped message field (#234 <https://github.com/ros2/ros1_bridge/issues/234>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Jan 2020 08:00:00 -0000

ros-galactic-ros1-bridge (0.8.1-2focal) focal; urgency=high

  * fix showing duplicate keys in --print-pairs (#225 <https://github.com/ros2/ros1_bridge/issues/225>)
  * fix bridging builtin_interfaces Duration and Time (#224 <https://github.com/ros2/ros1_bridge/issues/224>)
  * Don't use features that will be deprecated (#222 <https://github.com/ros2/ros1_bridge/issues/222>)
  * Contributors: Dirk Thomas, Peter Baughman

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-galactic-ros1-bridge (0.8.0-2focal) focal; urgency=high

  * Promote special CLI rules to flags. (#217 <https://github.com/ros2/ros1_bridge/issues/217>)
  * Update __log_rosout_disable workaround to use --ros-args. (#216 <https://github.com/ros2/ros1_bridge/issues/216>)
  * Clearer instructions for example (#211 <https://github.com/ros2/ros1_bridge/issues/211>)
  * add services bridging to parameter_bridge (#176 <https://github.com/ros2/ros1_bridge/issues/176>)
  * Contributors: Jose Luis Blanco-Claraco, Michel Hidalgo, cyrilleberger

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 27 Sep 2019 07:00:00 -0000

ros-galactic-ros1-bridge (0.7.3-2focal) focal; urgency=high

  * fix typename in static bridge (#209 <https://github.com/ros2/ros1_bridge/issues/209>)
  * fix cosmetic in message (#207 <https://github.com/ros2/ros1_bridge/issues/207>)
  * Use %zu print format for size_t (#204 <https://github.com/ros2/ros1_bridge/issues/204>)
  * Fix parameter bridge for topic if ros1 and ros2 type have a different name (#177 <https://github.com/ros2/ros1_bridge/issues/177>)
  * Contributors: Dirk Thomas, Emerson Knapp, cyrilleberger

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 02 Aug 2019 07:00:00 -0000

ros-galactic-ros1-bridge (0.7.2-2focal) focal; urgency=high

  * add note about rostopic echo (#202 <https://github.com/ros2/ros1_bridge/issues/202>)
  * add workspace setup documentation (#201 <https://github.com/ros2/ros1_bridge/issues/201>)
  * Contributors: Mabel Zhang

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 29 May 2019 07:00:00 -0000

ros-galactic-ros1-bridge (0.7.1-2focal) focal; urgency=high



=== debian/control ===
Source: ros-galactic-ros1-bridge
Section: misc
Priority: optional
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), python3-rospkg, ros-noetic-actionlib-msgs, ros-noetic-catkin, ros-noetic-common-msgs, ros-noetic-gazebo-msgs, ros-noetic-geometry-msgs, ros-noetic-nav-msgs, ros-noetic-rosbash, ros-noetic-roscpp, ros-noetic-roscpp-tutorials, ros-noetic-roslaunch, ros-noetic-rosmsg, ros-noetic-rospy-tutorials, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-std-srvs, ros-noetic-stereo-msgs, ros-noetic-tf, ros-noetic-tf2-msgs, ros-noetic-trajectory-msgs, ros-noetic-visualization-msgs, pkg-config, python3-catkin-pkg-modules, python3-yaml, ros-galactic-actionlib-msgs, ros-galactic-ament-cmake, ros-galactic-ament-index-python, ros-galactic-ament-lint-auto, ros-galactic-ament-lint-common, ros-galactic-builtin-interfaces, ros-galactic-demo-nodes-cpp, ros-galactic-diagnostic-msgs, ros-galactic-example-interfaces, ros-galactic-gazebo-msgs, ros-galactic-geometry-msgs, ros-galactic-launch, ros-galactic-launch-testing, ros-galactic-launch-testing-ament-cmake, ros-galactic-launch-testing-ros, ros-galactic-nav-msgs, ros-galactic-rclcpp, ros-galactic-rcutils, ros-galactic-rmw-implementation-cmake, ros-galactic-ros2run, ros-galactic-rosidl-cmake, ros-galactic-rosidl-parser, ros-galactic-sensor-msgs, ros-galactic-shape-msgs, ros-galactic-std-msgs, ros-galactic-std-srvs, ros-galactic-stereo-msgs, ros-galactic-tf2-msgs, ros-galactic-trajectory-msgs, ros-galactic-visualization-msgs, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-ros1-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-rospkg, ros-noetic-actionlib-msgs, ros-noetic-catkin, ros-noetic-common-msgs, ros-noetic-gazebo-msgs, ros-noetic-geometry-msgs, ros-noetic-nav-msgs, ros-noetic-rosbash, ros-noetic-roscpp, ros-noetic-roscpp-tutorials, ros-noetic-roslaunch, ros-noetic-rosmsg, ros-noetic-rospy-tutorials, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-std-srvs, ros-noetic-stereo-msgs, ros-noetic-tf, ros-noetic-tf2-msgs, ros-noetic-trajectory-msgs, ros-noetic-visualization-msgs, pkg-config, python3-yaml, ros-galactic-actionlib-msgs, ros-galactic-builtin-interfaces, ros-galactic-diagnostic-msgs, ros-galactic-example-interfaces, ros-galactic-gazebo-msgs, ros-galactic-geometry-msgs, ros-galactic-nav-msgs, ros-galactic-rclcpp, ros-galactic-rcutils, ros-galactic-sensor-msgs, ros-galactic-shape-msgs, ros-galactic-std-msgs, ros-galactic-std-srvs, ros-galactic-stereo-msgs, ros-galactic-tf2-msgs, ros-galactic-trajectory-msgs, ros-galactic-visualization-msgs, ros-galactic-ros-workspace
Description: A simple bridge between ROS 1 and ROS 2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	export CMAKE_PREFIX_PATH=${AMENT_PREFIX_PATH}:${CMAKE_PREFIX_PATH} && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	export CMAKE_PREFIX_PATH=${AMENT_PREFIX_PATH}:${CMAKE_PREFIX_PATH} && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	export CMAKE_PREFIX_PATH=${AMENT_PREFIX_PATH}:${CMAKE_PREFIX_PATH} && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	export CMAKE_PREFIX_PATH=${AMENT_PREFIX_PATH}:${CMAKE_PREFIX_PATH} && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-ros1-bridge//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	export CMAKE_PREFIX_PATH=${AMENT_PREFIX_PATH}:${CMAKE_PREFIX_PATH} && \
	dh_auto_install
